Bug 84522 - Special Text Reversed on RTL Pages
Summary: Special Text Reversed on RTL Pages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: Other Windows (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-09-30 16:51 UTC by Urmas
Modified: 2018-03-15 12:20 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Demo (24.89 KB, application/vnd.oasis.opendocument.text-flat-xml)
2014-09-30 18:19 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-09-30 16:51:31 UTC
If there is a special text like a column break on a RTL page, it is shown reversed, i.e. "kaerB ... unam".
Comment 1 Luke 2014-09-30 18:06:47 UTC
Please create a list of the steps to reproduce.
Comment 2 Urmas 2014-09-30 18:19:33 UTC
Created attachment 107145 [details]
Demo
Comment 3 Luke 2014-10-01 01:47:18 UTC
Confirmed in 4.3 and 4.4. In example.fodt, the "manual column break" is displayed backwards.
Comment 4 tommy27 2016-04-16 07:24:59 UTC Comment hidden (obsolete)
Comment 5 Luke 2016-05-11 15:26:52 UTC
Still an issue with Version: 5.2.0.0.alpha1+
Build ID: 4266caadbbe67fa23de0df3b84f4d923cfd57201
Comment 6 QA Administrators 2017-05-22 13:39:47 UTC Comment hidden (obsolete)
Comment 7 Luke 2017-05-24 03:02:01 UTC
Text still backwards in Version: 5.5.0.0.alpha0+ (x64)
Build ID: 20d04d6938a104124ac06271f17978a290cccf6c
Comment 8 Commit Notification 2018-03-07 10:46:58 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b910af084924e11b9a74002fd53843e88005db4

tdf#84522 fix reversed text of column break mark in a RTL page.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.